# portvalue2.py
# Compute the value of Dave's portfolio

stocks = []
for line in open("portfolio.dat"):
    fields = line.split()
    record = {
        'name'   : fields[0],
        'shares' : int(fields[1]),
        'price'  : float(fields[2])
    }
    stocks.append(record)

prices = {}
for line in open("prices.dat"):
    fields = line.split(',')
    prices[fields[0]] = float(fields[1])

initial = sum([s['shares']*s['price']
                 for s in stocks])

current = sum([s['shares']*prices[s['name']]
                    for s in stocks])

print "Current value", current
print "Gain", current - initial
