# follow.py
import time

def follow(f):
    f.seek(0,2)     # Seek to EOF
    while True:
        line = f.readline()
        if not line: 
            time.sleep(0.1)
            continue
        yield line

if __name__ == '__main__':
    for line in follow(open("access-log")):
        print line,
