# madoffstock.py

from stock import Stock
class MadoffStock(Stock):
    def __init__(self,name,shares,price):
        Stock.__init__(self,name,shares,price)
        self.maxprice = price
    def value(self):
        if self.price > self.maxprice:
            self.maxprice = self.price
        return self.shares * self.maxprice
    def actualvalue(self):
        return Stock.value(self)

if __name__ == '__main__':
    s = MadoffStock('GOOG',100,490.10)
    print s.value()
    s.price = 210.03
    print s.value()
    print s.actualvalue()
