# portvalue.py

# Read the stocks in Dave's portfolio
lines  = open("portfolio.dat")
fields = [line.split() for line in lines]
stocks = [(f[0],int(f[1]),float(f[2])) for f in fields]

# Read the current stock prices
lines  = open("prices.dat")
fields = [line.split(',') for line in lines]
prices = [(f[0],float(f[1])) for f in fields]

initial_value = sum([s[1]*s[2] for s in stocks])
current_value = sum([s[1]*p[1] for s in stocks
                                   for p in prices
                                       if s[0] == p[0]])

print "Gain", current_value - initial_value
